package me.koba1.led.utils;

import me.koba1.led.animations.audio.bass.BassAnimation;
import me.koba1.led.animations.audio.bass.BassTrebleAnimation;
import me.koba1.led.animations.audio.bass.OuterWaveBassAnimation;
import me.koba1.led.animations.audio.bass.RangeFlashAnimation;
import me.koba1.led.animations.idle.RainbowAnimation;
import me.koba1.led.animations.idle.SolidAnimation;
import me.koba1.led.animations.idle.WaveAnimation;

public class AnimationBootstrap {

    public static void init() {
        try {
            Class.forName(SolidAnimation.class.getName());
            Class.forName(WaveAnimation.class.getName());
            Class.forName(RainbowAnimation.class.getName());

            Class.forName(BassAnimation.class.getName());
            Class.forName(OuterWaveBassAnimation.class.getName());
            Class.forName(RangeFlashAnimation.class.getName());
            Class.forName(BassTrebleAnimation.class.getName());
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }
}
